=== debian/changelog ===
copyq (6.0.1-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Feb 2022 15:33:28 -0800

copyq (6.0.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Feb 2022 17:44:28 -0500

copyq (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Set myself as package maintainer.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Jan 2022 21:39:31 -0500

copyq (5.0.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Nov 2021 19:02:10 -0400

copyq (4.1.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Aug 2021 11:20:14 -0400
