## copyq 6.1.0

=== debian/changelog ===
copyq (6.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Apr 2022 16:29:58 -0700

copyq (6.1.0-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Mar 2022 11:45:21 -0400
