=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends: cmake, debhelper-compat (= 12), extra-cmake-modules
+Build-Depends: cmake, debhelper-compat (= 13), extra-cmake-modules
 Build-Depends-Arch: libkf5notifications-dev,
                     libqt5svg5-dev,
                     libqt5waylandclient5-dev,
@@ -26,7 +26,7 @@
 
 Package: copyq
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}, 
          copyq-plugins (= ${binary:Version}), libqt5svg5
 Suggests: copyq-doc
 Description: Advanced clipboard manager with editing and scripting features
