## copyq 6.3.0

=== plugins/itemfakevim/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,11 @@
     )
 file(GLOB copyq_plugin_itemfakevim_external_SOURCES
     fakevim/*.cpp
-    fakevim/utils/*.cpp
     )
 
 set(copyq_plugin_itemfakevim_DEFINITIONS
     QT_NO_CAST_TO_ASCII
-    QT_RESTRICTED_CAST_FROM_ASCII
-    QTCREATOR_UTILS_STATIC_LIB)
+    QT_RESTRICTED_CAST_FROM_ASCII)
 
 set(copyq_plugin_itemfakevim_RESOURCES itemfakevim.qrc)
