=== debian/changelog ===
copyq (6.3.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 27 Sep 2022 13:13:56 -0400

copyq (6.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Sep 2022 13:34:50 -0400
