=== debian/changelog ===
copyq (6.3.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Nov 2022 17:11:37 -0700

copyq (6.3.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Oct 2022 16:15:27 -0400

copyq (6.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Oct 2022 11:55:22 -0400
