=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 Package: copyq
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, 
+Depends: ${misc:Depends}, ${shlibs:Depends},
          copyq-plugins (= ${binary:Version}), libqt5svg5
 Suggests: copyq-doc
 Description: Advanced clipboard manager with editing and scripting features
