## copyq 6.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
 # Options (cmake -LH)
 OPTION(WITH_TESTS "Run test cases from command line" ${COPYQ_DEBUG})
 OPTION(WITH_PLUGINS "Compile plugins" ON)
+
+add_definitions( -DQT_USE_STRINGBUILDER  )
 
 # Unix-specific options
 if (UNIX AND NOT APPLE)
