=== debian/changelog ===
copyq (6.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Jan 2023 10:25:23 -0500
