=== debian/control ===
--- 
+++ 
@@ -1,34 +1,45 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13), extra-cmake-modules
-Build-Depends-Arch: libkf5notifications-dev,
-                    libqt5svg5-dev,
-                    libqt5waylandclient5-dev,
-                    libqt5x11extras5-dev,
-                    libwayland-dev,
-                    libxfixes-dev,
-                    libxtst-dev,
-                    qtbase5-private-dev,
-                    qtdeclarative5-dev,
-                    qttools5-dev,
-                    qttools5-dev-tools,
-                    qtwayland5,
-                    qtwayland5-dev-tools
-Build-Depends-Indep: python3-sphinx, python3-sphinx-rtd-theme, python3:any
+Maintainer: Boyuan Yang <byang@debian.org>
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ extra-cmake-modules,
+Build-Depends-Arch:
+ libkf5notifications-dev,
+ libqt5svg5-dev,
+ libqt5waylandclient5-dev,
+ libqt5x11extras5-dev,
+ libwayland-dev,
+ libxfixes-dev,
+ libxtst-dev,
+ qtbase5-private-dev,
+ qtdeclarative5-dev,
+ qttools5-dev,
+ qttools5-dev-tools,
+ qtwayland5,
+ qtwayland5-dev-tools,
+Build-Depends-Indep:
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+ python3:any,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
 
 Package: copyq
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         copyq-plugins (= ${binary:Version}), libqt5svg5
-Suggests: copyq-doc
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ copyq-plugins (= ${binary:Version}),
+ libqt5svg5,
+Suggests:
+ copyq-doc,
 Description: Advanced clipboard manager with editing and scripting features
  CopyQ monitors system clipboard and saves its content in customized tabs.
  Saved clipboard can be later copied and pasted directly into any application.
@@ -57,8 +68,11 @@
 
 Package: copyq-doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Section: doc
 Multi-Arch: foreign
 Description: Documentation and examples for CopyQ - HTML format
@@ -69,7 +83,10 @@
 
 Package: copyq-plugins
 Architecture: any
-Depends: copyq (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ copyq (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Plugins for CopyQ
  CopyQ monitors system clipboard and saves its content in customized tabs.
  Saved clipboard can be later copied and pasted directly into any application.
