=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,3 @@
 	python3 -m sphinx docs/ $@
 
 override_dh_auto_install-indep:
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
