## copyq 7.0.0

=== debian/changelog ===
copyq (7.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 10 May 2023 16:05:12 -0700

copyq (6.4.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Feb 2023 14:05:42 -0800
