## copyq 7.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
+cmake_minimum_required(VERSION 3.13)
 project(copyq)
 
 if (APPLE)
-    cmake_minimum_required(VERSION 3.1)
     set(COPYQ_EXECUTABLE_NAME "CopyQ")
 else()
-    cmake_minimum_required(VERSION 2.8.12)
-    set(COPYQ_EXECUTABLE_NAME ${PROJECT_NAME})
+    set(COPYQ_EXECUTABLE_NAME copyq)
 endif()
 
 # C++17
@@ -99,14 +98,12 @@
             -Wlogical-op
             -Wnoexcept
             -Wstrict-null-sentinel
+            -Wno-unknown-pragmas
             )
     else()
         list(APPEND copyq_pedantic_flags
             -Weverything
             -Winconsistent-missing-override
-            )
-
-        list(APPEND copyq_pedantic_flags
             -Wno-c++98-compat
             -Wno-c++98-compat-pedantic
             -Wno-disabled-macro-expansion
