=== docs/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 alabaster==0.7.12
 Babel==2.9.1
-certifi==2022.12.7
+certifi==2023.7.22
 charset-normalizer==2.0.7
 docutils==0.17.1
 idna==3.3
@@ -8,10 +8,10 @@
 Jinja2==3.0.2
 MarkupSafe==2.0.1
 packaging==21.2
-Pygments==2.10.0
+Pygments==2.15.0
 pyparsing==2.4.7
 pytz==2021.3
-requests==2.26.0
+requests==2.31.0
 snowballstemmer==2.1.0
 Sphinx==4.2.0
 sphinx-rtd-theme==1.0.0
