=== debian/changelog ===
copyq (7.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 27 Sep 2023 18:05:04 -0700

copyq (7.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Sep 2023 11:55:05 -0400

copyq (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 12 Jun 2023 16:48:00 -0400
