=== debian/rules ===
--- 
+++ 
@@ -38,3 +38,7 @@
 	python3 -m sphinx docs/ $@
 
 override_dh_auto_install-indep:
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
