## copyq 8.0.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,6 +39,7 @@
         ../qxt/qxtglobalshortcut.cpp
         )
     add_definitions( -DQXT_STATIC )
+    add_definitions( -DCOPYQ_GLOBAL_SHORTCUTS )
 endif()
 
 # translations
@@ -85,11 +86,9 @@
 if (NOT APPLE)
     add_executable(${COPYQ_EXECUTABLE_NAME} ${copyq_COMPILE})
 else()
-    # On Macs we must ensure Carbon and Cocoa are linked
-    FIND_LIBRARY(CARBON_LIBRARY "Carbon")
-    FIND_LIBRARY(COCOA_LIBRARY "Cocoa")
-    MARK_AS_ADVANCED (CARBON_LIBRARY
-        COCOA_LIBRARY)
+    FIND_LIBRARY(CARBON_LIBRARY Carbon REQUIRED)
+    FIND_LIBRARY(COCOA_LIBRARY Cocoa REQUIRED)
+    MARK_AS_ADVANCED(CARBON_LIBRARY COCOA_LIBRARY)
     list(APPEND copyq_LIBRARIES "${CARBON_LIBRARY}" "${COCOA_LIBRARY}")
 
     set(COPYQ_VERSION_REGEX "^([0-9]+)\.([0-9]+)\.(.*)$")
@@ -157,62 +156,21 @@
 else()
     set_source_files_properties(${copyq_QM} PROPERTIES MACOSX_PACKAGE_LOCATION "Resources/translations")
 
+    set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES MACOSX_BUNDLE TRUE)
     set_target_properties(${COPYQ_EXECUTABLE_NAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/../shared/Info.plist")
 
-    set(plugin_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/PlugIns")
-    set(qtconf_dest_dir "${COPYQ_EXECUTABLE_NAME}.app/Contents/Resources")
+    set(BUNDLE "\${CMAKE_INSTALL_PREFIX}/${COPYQ_EXECUTABLE_NAME}.app")
 
-    macro(install_qt_plugin _qt_plugin_name _qt_plugins_var)
-        get_target_property(_qt_plugin_path "${_qt_plugin_name}" LOCATION)
-        if(EXISTS "${_qt_plugin_path}")
-            get_filename_component(_qt_plugin_file "${_qt_plugin_path}" NAME)
-            get_filename_component(_qt_plugin_type "${_qt_plugin_path}" PATH)
-            get_filename_component(_qt_plugin_type "${_qt_plugin_type}" NAME)
-            set(_qt_plugin_dest "${plugin_dest_dir}/${_qt_plugin_type}")
-            install(FILES "${_qt_plugin_path}" DESTINATION "${_qt_plugin_dest}" COMPONENT Runtime)
-            set(${_qt_plugins_var}
-                "${${_qt_plugins_var}};\$ENV{DESTDIR}\${CMAKE_INSTALL_PREFIX}/${_qt_plugin_dest}/${_qt_plugin_file}")
-        else()
-            message(FATAL_ERROR "QT plugin ${_qt_plugin_name} not found")
-        endif()
-    endmacro()
-
-    # Install needed Qt plugins
-    foreach(_copyq_qt_module ${copyq_qt_modules} "Gui" "Widgets")
-        set(_module_plugins "${${copyq_qt}${_copyq_qt_module}_PLUGINS}")
-        foreach(_plugin ${_module_plugins})
-            install_qt_plugin("${_plugin}" FIXUP_BUNDLE_QT_PLUGINS)
-        endforeach()
-    endforeach()
-
-    # install a qt.conf file
-    # this inserts some cmake code into the install script to write the file
-    install(CODE "
-        file(WRITE \"\${CMAKE_INSTALL_PREFIX}/${qtconf_dest_dir}/qt.conf\" \"[Paths]\nPlugins = PlugIns\nImports = Resources/qml\nQml2Imports = Resources/qml\n\")
-        "
-        COMPONENT Runtime
-        )
-
-    set(FIXUP_BUNDLE_APPS "\${CMAKE_INSTALL_PREFIX}/${COPYQ_EXECUTABLE_NAME}.app")
-
-    get_property(_copyq_installed_plugins GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS)
-
-    # Directories to look for dependencies
-    set(FIXUP_BUNDLE_DEP_DIRS "${CMAKE_BINARY_DIR};${QT_LIBRARY_DIRS};${${copyq_qt}Widgets_DIR}/../..")
-
-    message(STATUS "Fixup app: ${FIXUP_BUNDLE_APPS}")
-    message(STATUS "Fixup app plugins: ${_copyq_installed_plugins}")
-    message(STATUS "Fixup qt plugins: ${FIXUP_BUNDLE_QT_PLUGINS}")
-    message(STATUS "Fixup dirs: ${FIXUP_BUNDLE_DEP_DIRS}")
-    install(CODE "
-        include(BundleUtilities)
-        set(BU_CHMOD_BUNDLE_ITEMS ON)
-        fixup_bundle(\"${FIXUP_BUNDLE_APPS}\" \"${FIXUP_BUNDLE_QT_PLUGINS};${_copyq_installed_plugins}\" \"${FIXUP_BUNDLE_DEP_DIRS}\")
-        verify_app(\"${FIXUP_BUNDLE_APPS}\")
-        "
-        COMPONENT Runtime
-        )
-
-    set(CPACK_GENERATOR "DragNDrop")
-    include(CPack)
+    # https://doc.qt.io/qt-6/qt-deploy-runtime-dependencies.html
+    # Generate a deployment script to be executed at install time
+    qt_generate_deploy_script(
+        TARGET ${COPYQ_EXECUTABLE_NAME}
+        OUTPUT_SCRIPT deploy_script
+        CONTENT "
+qt_deploy_runtime_dependencies(
+    EXECUTABLE \"${BUNDLE}\"
+    GENERATE_QT_CONF
+    VERBOSE
+)")
+    install(SCRIPT ${deploy_script})
 endif()
