=== debian/changelog ===
copyq (8.0.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 21 Mar 2024 15:53:40 -0700

copyq (8.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Mar 2024 21:46:57 -0400

copyq (7.1.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1065740)

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 11:32:28 -0500
