=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: cmake, debhelper-compat (= 13), extra-cmake-modules
 Build-Depends-Arch: libkf5notifications-dev,
                     libqt5svg5-dev,
@@ -26,10 +25,8 @@
 
 Package: copyq
 Architecture: any
-Depends: copyq-plugins (= ${binary:Version}),
-         libqt5svg5,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         copyq-plugins (= ${binary:Version}), libqt5svg5
 Suggests: copyq-doc
 Description: Advanced clipboard manager with editing and scripting features
  CopyQ monitors system clipboard and saves its content in customized tabs.
