=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,9 @@
 
 override_dh_auto_install-indep:
 
+override_dh_installchangelogs:
+	dh_installchangelogs -k CHANGES.md
+
 # No dbgsym packages:
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
