=== plugins/itemtags/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 set(copyq_plugin_itemtags_SOURCES
     ../../src/item/itemwidgetwrapper.cpp
     ../../src/item/itemsaverwrapper.cpp
+    ../../src/common/command.cpp
     ../../src/common/config.cpp
     ../../src/common/log.cpp
     ../../src/common/mimetypes.cpp
