=== debian/changelog ===
copyq (9.0.0-1~bpo12+1) bookworm-backports; urgency=medium

  * QA upload.
  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2024 22:02:08 -0400

copyq (9.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Jun 2024 10:18:49 -0400
