=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGES.md
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
